de.caff.generics

## Class FactoryError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - de.caff.generics.FactoryError

- All Implemented Interfaces:
    java.io.Serializable

      public class FactoryError
      extends java.lang.Error

  Error which the `Factory.create()` method may throw.
  Author:
    Rammi
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactoryError(java.lang.String message, java.lang.Throwable cause)` Constructs a new error with the specified detail message and cause.
    `FactoryError(java.lang.Throwable cause)` Constructs a new error with the specified cause and a detail message of `(cause==null ?`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FactoryError

          public FactoryError(java.lang.String message,
                              java.lang.Throwable cause)

      Constructs a new error with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this error's detail message.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.4

    - #### FactoryError

          public FactoryError(java.lang.Throwable cause)

      Constructs a new error with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for errors that are little more than wrappers for other throwables.
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.4